package org.nstart.dep265.tletools.zeptomoby.core.coord

import org.nstart.dep265.tletools.zeptomoby.core.Julian

@Suppress("unused")
class TopoTime: Topo {

    constructor(topo: Topo, d: Julian):
            this(topo.azimuthRad, topo.elevationRad, topo.rangeKm, topo.rangeRatekmSec, d)

    constructor(azRad: Double, elRad: Double, range: Double ,rangeRate: Double, d: Julian)
            : super(azRad, elRad, range, rangeRate) {
        date = d
    }

    val date: Julian
}